Package org.drinkless.tdlib

# Class TdApi.FinishFileGeneration

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.FinishFileGeneration

Enclosing class:
  `TdApi`

public static class TdApi.FinishFileGeneration extends TdApi.Function<TdApi.Ok>
Finishes the file generation.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Error`
  `error`
  If passed, the file generation has failed and must be terminated; pass null if the file generation succeeded.
  `long`
  `generationId`
  The identifier of the generation process.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FinishFileGeneration()`
  Default constructor for a function, which finishes the file generation.
  `FinishFileGeneration(long generationId, TdApi.Error error)`
  Creates a function, which finishes the file generation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### generationId

    public long generationId
    The identifier of the generation process.

  - ### error

    public TdApi.Error error
    If passed, the file generation has failed and must be terminated; pass null if the file generation succeeded.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FinishFileGeneration

    public FinishFileGeneration()
    Default constructor for a function, which finishes the file generation.

    Returns `Ok`

  - ### FinishFileGeneration

    public FinishFileGeneration(long generationId, TdApi.Error error)
    Creates a function, which finishes the file generation.

    Returns `Ok`

    Parameters:
      `generationId` - The identifier of the generation process.
      `error` - If passed, the file generation has failed and must be terminated; pass null if the file generation succeeded.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR